Aller au contenu


Photo

[Switch] Évitez d'installer le SX OS v2.9 Beta


  • Veuillez vous connecter pour répondre
132 réponses à ce sujet

Posté 28 septembre 2019 - 23:45

#1
tralala

tralala

    \0/ Postman \0/

  • Newser Expert
  • 10 196 messages
  • Sexe:Male
Hier soir, la Team Executer publiait le SX OS 2.9 Beta, et de nombreux utilisateurs ont fait remonter le fait qu'ils avaient brické leur console. 
 
Malheureusement la Team Executer a fait pas mal d'erreurs sur cette version, elle a laissé pas mal de bugs dans la 2.9 Beta. 
 
 
 
 
La première des erreurs est que ChoiDuJourNX est tout simplement inutilisable, il faut repasser par la 2.8 Beta ou attendre une mise à jour. Dans ChoiDuJourNX il y a une une vérification bis_protect qui est en conflit avec SX OS 2.9. Lorsque vous essayez de lancer une mise à jour du firmware vers la version 9.0.0 en utilisant ChoiDujourNX version 1.0.2, il s'arrête sur l'écran "Testing for BIS Protection", l'utilisateur est contraint de faire un redémarrage difficile mais peut revenir dans SX OS 2.9 toujours sur le firmware 8.1.0.
 
La seconde bévue est que les SuperXCI ne fonctionnent plus sous SX OS 2.9 Beta, comme la grande majorité des titres sont des SuperXCI cela va vite être dérangeant. 
 
Le support USB des disques durs est désormais corrompu sous SX OS v2.9 Beta !
 
Si avec tout cela vous n'avez pas bricker ou que vous n'êtes pas gêner dans votre utilisation, sachez que hexkyz vient de confirmer que cette mise à jour de SX OS 2.9 Beta brûle les eFuses !
 
Le loader XCI n'a pas été mis à jour correctement, les fusibles efuses LOTUS sont donc également brûlés, ce qui rend impossible l’utilisation de cartouches lors d’un downgrade ultérieur.
 
Les fuses LOTUS sont des fuses présents dans le chipset du port cartouche et lorsqu'on met à jour le firmware LOTUS il est impossible d'empêcher de brûler les fuses (à la différence des fuses du SoC). Ce qui veut dire que la nouvelle version du SX OS force la mise à jour du port cartouche.
 
Le bootloader vérifie le nombre de fusibles prévu par rapport au nombre réel. Si trop de fusibles ont été brûlés, aucun démarrage n’est effectué (écran noir), trop peu sont gravés (après une mise à jour du firmware), le bootloader active la programmation des fusibles. La vérification des fusibles étant généralement ignorée par les bootloaders personnalisés, il est toujours possible de démarrer un firmware plus ancien via un firmware personnalisé, quel que soit le nombre de fusibles brûlés.
 
Avec la SX OS 2.9 Beta le loader XCI n'a pas été correctement mis à jour, ce qui provoque de toute façon une brûlure des fuses Lotus . Cela signifie que si vous exécutez SX OS v2.9 Beta une seule fois sur 9.0.0, il n’est plus possible de lire des cartouches sur un firmware plus ancien.
 
Même si vous utilisez une emuNAND, la mise à jour du firmware LOTUS se fera à cause de cette version 2.9 et votre port cartouche sera inutilisable sur un firmware inférieur au 9.0, sysNAND et emuNAND comprises.
 
Ceci est particulièrement pertinent pour les propriétaires d’une Switch 1.0.0, car il n’y existe que via Puyo Puyo Tetris JPN dans le navigateur Web.
 
L'utilisation de la dernière version de SX OS 2.9 BETA sur firmware 9.0.0 en mode docked : Lorsque vous quittez l'album à l'aide du bouton "B", cela provoque une erreur.
 
L'utilisation de la dernière version de SX OS 2.9 BETA sur firmware 9.0.0.0 : ne vous permet plus d'installer incognito.
 
 
Tout est là : hexkyz / GbaTemp / LS

  • Retour en haut

Posté 29 septembre 2019 - 00:00

#2
Dylan57

Dylan57

    Sunriseur

  • Members
  • PipPip
  • 256 messages
  • Sexe:Male
C'est pas contre vous (ou bien contre la team Xecuter) mais quand un truc sort en Beta, ça peut arriver tout ça (je dis ça pour les futurs commentaires de type 'gnagna c'est inacceptable / etc'). Donc merci d'avoir fait cette news pour prevenir cependant ce serais bien de retirer la news qui dit que la version en question est dispo (ou au moins enlever le lien de téléchargement si vraiment vous vous souciez de vos lecteurs).
Soit dit en passant, vu la gravité des bugs, la team Xecuter à l'air d'avoir sorti cette version vite fais (peut-être car trop de personnes s'impatient?) et ils ont visiblement pas tout testé ^^ Donc qui est zelé dans l'histoire, vous car vous relayez l'info avant que d'éventuels retours soient visibles ou bien les développeur de trucs payants je me demande.

Modifié par Dylan57, 29 septembre 2019 - 00:03.

Dylan57 sait tout sur tout  :ph34r:

  • Retour en haut

Posté 29 septembre 2019 - 00:05

#3
midorijin

midorijin

    Sunriseur PRIVILEGE

  • Members
  • PipPipPipPipPip
  • 2 066 messages

C'est pas contre vous (ou bien contre la team Xecuter) mais quand un truc sort en Beta, ça peut arriver tout ça (je dis ça pour les futurs commentaires de type 'gnagna c'est inacceptable / etc') Donc merci d'avoir fait une news pour prevenir cependant ce serais bien de retirer la news qui dit que la version en question est dispo (si vraiment vous vous souciez de vos lecteurs).
Soit dit en passant, vu la gravité des bugs, la team Xecuter à l'air d'avoir sorti cette version vite fais (peut-être car trop de personnes s'impatient?) et ils ont visiblement pas tout testé ^^

Le problème, c'est que les dernières versions de sx sont toutes en bêta, il n'y a pas eu de version dite "stable" depuis un bon moment (depuis la 2.5.3, soit 7 version en comptant la 2.9).
  • Retour en haut

Posté 29 septembre 2019 - 00:05

#4
Fadox

Fadox

    Sunriseur avancé

  • Members
  • PipPipPip
  • 352 messages
D'habitude je met à jour day one, là POUR UNE FOIS j'ai vraiment bien fait d'attendre. Certes, ils précisent qu'il s'agit de la version bêta, mais quand même, une version aussi buguée, même en bêta ne devrait pas être mise en ligne, surtout quand on voit la présentation de cette version 2.9

PS : Vous devriez supprimer le lien dans l'info qui annonce la 2.9, ou au moins mettre une parenthèse qui renvoie à cet article.

Modifié par Fadox, 29 septembre 2019 - 00:07.

  • Retour en haut

Posté 29 septembre 2019 - 00:07

#5
tralala

tralala

    \0/ Postman \0/

  • Newser Expert
  • 10 196 messages
  • Sexe:Male
c'est fait :)
  • Retour en haut

Posté 29 septembre 2019 - 00:07

#6
Fadox

Fadox

    Sunriseur avancé

  • Members
  • PipPipPip
  • 352 messages

c'est fait :)


Merci ;)
  • Retour en haut

Posté 29 septembre 2019 - 00:12

#7
tralala

tralala

    \0/ Postman \0/

  • Newser Expert
  • 10 196 messages
  • Sexe:Male
d'habitude effectivement cela reste en Bêta mais il n'y a pas autant de soucis, et avec l'histoire des efuses c'est bien trop grave là comme oubli ... et les bricks liés à l'utilisation de Choidujour c'est trop... aucun avertissement de la Team Executer, aucun retrait ... c'est limite.
  • Retour en haut

Posté 29 septembre 2019 - 00:13

#8
shadow256

shadow256

    Sunriseur PRIVILEGE

  • Members
  • PipPipPipPipPip
  • 7 814 messages
  • Sexe:Male
Non mais là ils n'ont rien testé du tout, même pour une beta il y a tout de même des phases de tests à effectuer et puis bon ils en ont les moyens, pas d'excuses pour cette version totalement foireuse qui met en péril les consoles des utilisateurs en brickant via ChoiDuJourNX et en grillant en plus les Efuses, bon le reste pour les supers XCI et le support USB c'est moins grave, même si du coup là SX OS perd ses seuls intérêts par rapport à Atmosphere si ces deux fonctions sont buggées. Et puis bon ça fait juste combien de temps qu'ils sont en beta sur le CFW, on conseil depuis un moment aux utilisateurs d'utiliser la beta puisqu'aucune version stable ne vient supporter les nouveaux firmwares et puis là faudrait dire que bon bah il y a des bugs parce que c'est une beta, juste ils gèrent mal leurs versions et du coup on ne sait même plus se qui est vraiment en beta ou pas.

Mes créations:
Ultimate-Switch-Hack-Script, mon plus gros projet
Ultimate Wii U Hack Script, mon premier projet, plutôt complet
Ultimate PS3 Hack Script, un projet peut utile aujourd'hui

Si vous aimez mon travail, vous pouvez me faire une donation via paypal en cliquant ici, pensez que même un euro se sera déjà beaucoup et très apprécié.

Matériel:

Spoiler
  • Retour en haut

Posté 29 septembre 2019 - 00:16

#9
eliboa

eliboa

    Sunriseur PRIVILEGE

  • Members
  • PipPipPipPipPip
  • 2 080 messages
  • Sexe:Male

 

Avec la SX OS 2.9 Beta le loader XCI n'a pas été correctement mis à jour, ce qui provoque de toute façon une brûlure eFUSE . Cela signifie que si vous exécutez SX OS v2.9 Beta une seule fois sur 9.0.0, il n’est plus possible de lire des cartouches sur un firmware plus ancien. Ceci est particulièrement pertinent pour les propriétaires d’une Switch 1.0.0, car il n’y existe que via Puyo Puyo Tetris JPN dans le navigateur Web.
 

Attention il s'agit d'eFuse LOTUS, à ne pas confondre avec le eFuses du SoC Tegra (que l'autoRCM permet de préserver). Les fuses LOTUS sont des fuses présents dans le chipset du port cartouche et lorsqu'on met à jour le firmware LOTUS il est impossible d'empêcher de bruler les fuses (à la différence des fuses du SoC). Ce qui veut dire que la nouvelle version du SX OS force la mise à jour du port cartouche. Je pense qu'il leur était clairement possible de ne pas forcer la maj du port cartouche, comme c'est le cas avec Atmosphère.

Attention, même si vous utilisez une emuNAND, la mise à jour du firmware LOTUS se fera et votre port cartouche sera inutilisable sur un FW < 9.0, sysNAND et emuNAND comprises.


Modifié par eliboa, 29 septembre 2019 - 00:18.

Tuto Switch : Bloquer les maj | Supprimer les maj téléchargées | Lancer Linux | Lancer des payloads

switch-h4x0r |`FW max conseillé sur Switch => 4.1

 

  • Retour en haut

Posté 29 septembre 2019 - 00:16

#10
tralala

tralala

    \0/ Postman \0/

  • Newser Expert
  • 10 196 messages
  • Sexe:Male
je te suis, je suis d'accord avec toi, je trouve ça léger...

Merci eliboa j'apporte cette précision.
  • Retour en haut

Posté 29 septembre 2019 - 00:19

#11
thundertiger

thundertiger

    Sunriseur

  • Members
  • PipPip
  • 298 messages
  • Sexe:Male
  • Lieu:Nice
  • Passions:Jeux vidéo,Modelismes,Chats....
Merci beaucoup pour l’avertissement
C’est chaud patates cette histoire !!!
J’espère que les victimes de cette mise à jour foireuse pourront réparer leurs
chère et tendre petite Switch...
  • Retour en haut

Posté 29 septembre 2019 - 00:23

#12
Fadox

Fadox

    Sunriseur avancé

  • Members
  • PipPipPip
  • 352 messages


C'est pas contre vous (ou bien contre la team Xecuter) mais quand un truc sort en Beta, ça peut arriver tout ça (je dis ça pour les futurs commentaires de type 'gnagna c'est inacceptable / etc'). Donc merci d'avoir fait cette news pour prevenir cependant ce serais bien de retirer la news qui dit que la version en question est dispo (ou au moins enlever le lien de téléchargement si vraiment vous vous souciez de vos lecteurs).
Soit dit en passant, vu la gravité des bugs, la team Xecuter à l'air d'avoir sorti cette version vite fais (peut-être car trop de personnes s'impatient?) et ils ont visiblement pas tout testé ^^ Donc qui est zelé dans l'histoire, vous car vous relayez l'info avant que d'éventuels retours soient visibles ou bien les développeur de trucs payants je me demande.


Franchement, depuis quand la TX se dépêche de sortir un truc parce que les gens s'impatientent ? Ils font tout le contraire justement.

Quand des gens s'impatientent pour une mise à jour assez importante (un jeu triple A ultra attendu qui ne se lance qu'avec la dernière mise a jour par exemple) là ils mettent 244345343 piges.

Et dès qu'il s'agit d'une mise à jour pas franchement indispensable pour le moment (sérieux, quel intérêt de passer en 9.0 ?) là ils te sortent un truc vite fait sans le moindre test comme l'a fait remarqué Shadow... XD

Non sérieux, il y a aucune constance. On va pas non plus tourner autour du pot hein, ils ont eu leur thune quand ils étaient seuls sur le ring, depuis plus rien, des bêta, des bêta buguées.

Modifié par Fadox, 29 septembre 2019 - 00:26.

  • Retour en haut

Posté 29 septembre 2019 - 00:34

#13
eliboa

eliboa

    Sunriseur PRIVILEGE

  • Members
  • PipPipPipPipPip
  • 2 080 messages
  • Sexe:Male

En réfléchissant je me dis qu'ils avaient peut-être pas d'autre choix que de forcer la maj du firmware LOTUS. Si ça se trouve le fw 9.0 ne peut tout simplement pas fonctionner si le fw LOTUS n'est pas à jour. Du coup, ça aurait voulu dire pas de loader XCI possible pour les gens en FW 9.0.

Le manque de transparence de la TX sur ce point est vraiment impardonnable même si je pense que la plupart des gens s'en foutent de downgrader un jour leur console.

 

Au passage les tweets de hexkyz précisent aussi que cette nouvelle version de SX OS reprend les dernières versions d'Exopshère et Fusée d'Atmosphère, libnx, les kip "PM" et "ams.mitm" d'Atmosphère :)

 

Quand tu lis cette phrase du communiqué de la TX ;) :

Today, we bring you a much needed update of SX OS. Full compatibility with the latest Switch firmware 9.0! Sorry that we kept you waiting, we wanted to make sure all our unique features still properly work.


Modifié par eliboa, 29 septembre 2019 - 00:41.

Tuto Switch : Bloquer les maj | Supprimer les maj téléchargées | Lancer Linux | Lancer des payloads

switch-h4x0r |`FW max conseillé sur Switch => 4.1

 

  • Retour en haut

Posté 29 septembre 2019 - 00:40

#14
shadow256

shadow256

    Sunriseur PRIVILEGE

  • Members
  • PipPipPipPipPip
  • 7 814 messages
  • Sexe:Male
@eliboa : Bien vu la précision, en fait c'est le patch nogc qui n'est pas présent, cependant il ne l'a jamais été sous SX OS donc en fait rien de neuf pour les Efuses Lotus grillés. Je me disais bien que c'était bizarre que les Efuses carte mère grillent, en même temps en version 1.0 jusqu'à la 1.2 il me semble les Efuses carte mère grillaient donc c'était pour moi pas impossible qu'ils récidivent sur ce point.

Mes créations:
Ultimate-Switch-Hack-Script, mon plus gros projet
Ultimate Wii U Hack Script, mon premier projet, plutôt complet
Ultimate PS3 Hack Script, un projet peut utile aujourd'hui

Si vous aimez mon travail, vous pouvez me faire une donation via paypal en cliquant ici, pensez que même un euro se sera déjà beaucoup et très apprécié.

Matériel:

Spoiler
  • Retour en haut

Posté 29 septembre 2019 - 01:03

#15
ELIT3M3TAL

ELIT3M3TAL

    Sunriseur

  • Members
  • PipPip
  • 14 messages
  • Sexe:Male
Pourtant j’ai pas brick après je suis en 8.1 sur SX OS 2.9
Donc j’ai un gros risque sur ma console ?
  • Retour en haut

Posté 29 septembre 2019 - 01:08

#16
eliboa

eliboa

    Sunriseur PRIVILEGE

  • Members
  • PipPipPipPipPip
  • 2 080 messages
  • Sexe:Male

@eliboa : Bien vu la précision, en fait c'est le patch nogc qui n'est pas présent, cependant il ne l'a jamais été sous SX OS donc en fait rien de neuf pour les Efuses Lotus grillés. Je me disais bien que c'était bizarre que les Efuses carte mère grillent, en même temps en version 1.0 jusqu'à la 1.2 il me semble les Efuses carte mère grillaient donc c'était pour moi pas impossible qu'ils récidivent sur ce point.

Oui et je pense que le patch nogc ne pourrait pas être utilisé sur SX OS car ça bloquerait aussi le loader XCI.


Tuto Switch : Bloquer les maj | Supprimer les maj téléchargées | Lancer Linux | Lancer des payloads

switch-h4x0r |`FW max conseillé sur Switch => 4.1

 

  • Retour en haut

Posté 29 septembre 2019 - 01:35

#17
bigcitylife

bigcitylife

    Sunriseur

  • Members
  • PipPip
  • 119 messages
Faut déjà qu'on m'explique qu'elle est l'intérêt de passer vers le nouveau firmware de la Switch sachant qu'aucun jeux récents ne dépendent de ce dernier. Mettre à jour pour mettre à jour est bidon comme logique (sauf pour les bêtas testeurs), d'autant plus la team SX n'offre pas au grand public de nouvelles fonctionnalités importantes avec ce 2.9 si je ne me trompe.
  • Retour en haut

Posté 29 septembre 2019 - 01:44

#18
HoYoHoYo

HoYoHoYo

    Sunriseur elite

  • Members
  • PipPipPipPip
  • 1 316 messages
  • Sexe:Male
  • Lieu:Midgar
  • Passions:Le RETRO , sega system, mega drive que du bonheur !
Arf ... j'ai fais la MAJ...

Du coup j'ai reboot en firmware normal, je continu sur les jeux à cartouches. ça na risque rien comme ça en attendant que la team xecuter fasse leur MAJ ?

giphy.gif

  • Retour en haut

Posté 29 septembre 2019 - 03:06

#19
mojo1119

mojo1119

    Sunriseur

  • Members
  • PipPip
  • 148 messages
ho là , est-ce que vous pensez que l'on pourra continuer d'utilisé le sx os ...comme on le faisait en 8.1 , sur la
9.0 ? Car là ça m'inquiète pour les jeux futures...
  • Retour en haut

Posté 29 septembre 2019 - 03:33

#20
jumbo14

jumbo14

    Sunriseur

  • Members
  • PipPip
  • 16 messages
Moi perso j'ai fait la maj un peu trop rapide... J'ignorais que c'était bug mon choi du jour à buger également heureusement je n'ai pas brick ma switch car jetait en emunand et donc j'ai brik mon emunand mais il m'a suffit de le refaire.. Et je l'ai refait en 9.0... Mais j'ai une solution temporaire que j'utilise pour jouer à mes jeux sans bug j'installe mes xci avec sx installer et sa fonctionne nickel en 9.0 avec sx os 2.9 mais bon c temporaire le temps que la team xecuter publie un correctif..

Modifié par jumbo14, 29 septembre 2019 - 03:35.

  • Retour en haut




0 utilisateur(s) li(sen)t ce sujet

0 invité(s) et 0 utilisateur(s) anonyme(s)